%
%   $Id: units.tex,v 1.15 2004/05/18 22:10:56 michael Exp $
%   This file is part of the FPC documentation.
%   Copyright (C) 1997, by Michael Van Canneyt
%
%   The FPC documentation is free text; you can redistribute it and/or
%   modify it under the terms of the GNU Library General Public License as
%   published by the Free Software Foundation; either version 2 of the
%   License, or (at your option) any later version.
%
%   The FPC Documentation is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%   Library General Public License for more details.
%
%   You should have received a copy of the GNU Library General Public
%   License along with the FPC documentation; see the file COPYING.LIB.  If not,
%   write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%   Boston, MA 02111-1307, USA.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Preamble.
\input{preamble.inc}
\begin{latexonly}
  \ifpdf
    \pdfinfo{/Author(Michael Van Canneyt)
             /Title(Standard units Reference Guide)
             /Subject(Free Pascal Standard units reference guide)
             /Keywords(Free Pascal, Units, RTL)
             }
  \fi
\end{latexonly}

%
% Settings
%
\makeindex
%
% Syntax style
%
% This is just a main file. All units are described in separate files.
%
\usepackage{syntax}
\input{syntax/diagram.tex}
%
% Start of document.
%
\begin{document}
%
\title{Free Pascal supplied units : \\ Reference guide.}
\docdescription{Reference guide for standard Free Pascal units.}
\docversion{3.2.2}
\input{date.inc}
\author{Micha\"el Van Canneyt\\ Florian Kl\"ampfl}
\maketitle
\tableofcontents
\newpage

\section*{About this guide}
This document describes all constants, types, variables, functions and
procedures as they are declared in the units that come standard with \fpc.

Throughout this document, we will refer to functions, types and variables
with \var{typewriter} font. Functions and procedures gave their own
subsections, and for each function or procedure we have the following
topics:
\begin{description}
\item [Declaration] The exact declaration of the function.
\item [Description] What does the procedure exactly do ?
\item [Errors] What errors can occur.
\item [See Also] Cross references to other related functions/commands.
\end{description}
The cross-references come in two flavors:
\begin{itemize}
\item References to other functions in this manual. In the printed copy, a
number will appear after this reference. It refers to the page where this
function is explained. In the on-line help pages, this is a hyperlink, on
which you can click to jump to the declaration.
\item References to Unix manual pages. (For Linux related things only) they
are printed in \var{typewriter} font, and the number after it is the Unix
manual section.
\end{itemize}
The chapters are ordered alphabetically. The functions and procedures in
most cases also, but don't count on it. Use the table of contents for quick
lookup.

%
% Each unit is in its own file. Each file is a chapter.
%

% The crt unit.
\input{crt.tex}
% The Dos unit
\input{dos.tex}
% The DXELoad unit
\input{dxeload.tex}
% The emu387 unit
\input{emu387.tex}
% The getopts unit
\input{getopts.tex}
% The GPM unit
\input{gpm.tex}
% the go32 unit
\input{go32.tex}
% The graph unit
\input{graph.tex}
% The HeapTrc unit
\input{heaptrc.tex}
% The IPC unit
\input{ipc.tex}
% The keyboard unit
\input{keyboard.tex}
% the Linux unit
\input{linux.tex}
% the math unit
\input{math.tex}
% The MMX unit
\input{mmx.tex}
% The mouse unit
\input{mouse.tex}
% The msmouse unit
\input{msmouse.tex}
% the objects unit
\input{objects.tex}
% the ports unit
\input{ports.tex}
% the printer unit
\input{printer.tex}
% the sockets unit
\input{sockets.tex}
% the strings unit
\input{strings.tex}
% the sysutils unit
\input{sysutils.tex}
% The typinfo unit
\input{typinfo.tex}
% The VIDEO unit
\input{video.tex}
% end of units. Index.
\printindex
\end{document}